> For the complete documentation index, see [llms.txt](https://developer.convergegate.com/legacy/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.convergegate.com/legacy/card-server-to-server/notifications/880-dispute-notification.md).

# 880 – Dispute Notification

## 880 Notification Data description

| NODE              | INCLUDE IN CHECKSUM (IN THIS ORDER) | REQUIRED | DATA TYPE           | DESCRIPTION                                                                                                                                                                                                                                                                                                 |
| ----------------- | ----------------------------------- | -------- | ------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| apiUser           | YES (1)                             | YES      | Character max 50.   | The API user assigned by the Gateway to the merchant. Can be obtained from the website inside your merchant account.                                                                                                                                                                                        |
| apiPassword       | YES (2)                             | YES      | Character max 50.   | The API password assigned by Gateway to the merchant. Can be obtained from the website inside your merchant account.                                                                                                                                                                                        |
| apiCmd            | YES (3)                             | YES      | 880                 | 3 digit numeric transaction code must be 880                                                                                                                                                                                                                                                                |
| gatetransid       | YES (4)                             | YES      | Character max 50.   | Unique gateway internal transaction id.                                                                                                                                                                                                                                                                     |
| transref          |                                     | YES      | Character max 50.   | Unique gateway internal transaction reference.                                                                                                                                                                                                                                                              |
| merchanttransid   |                                     | YES      | Character max 50.   | Unique merchant transaction id received in the request.                                                                                                                                                                                                                                                     |
| status            | Yes (5)                             | YES      | Character           | CHARGEBACK: transaction was reported as chargeback. FRAUD: transaction was reported as TC-40 Fraud ALERT: transaction was reported as a fraud by issuer through independent system COPYREQUEST: Issuing Bank requested some details about the transaction and proof of product delivery or service provide. |
| amount            |                                     | YES      | Character exactly 3 | 3-letter code of currency, example: USD, EUR                                                                                                                                                                                                                                                                |
| disputeDate       |                                     | YES      | YYYY-MM-DD HH:MM:SS | Date of the dispute                                                                                                                                                                                                                                                                                         |
| ARN               |                                     | NO       | Character max 256.  | Acquirer reference number. Required for dispute procedure                                                                                                                                                                                                                                                   |
| reasonCode        |                                     | COND     | Character no limit  | Code of chargeback’s reason                                                                                                                                                                                                                                                                                 |
| reasonText        |                                     | COND     | Character max 256.  | Description of chargeback’s reason                                                                                                                                                                                                                                                                          |
| merchantspecific1 |                                     | YES      | Character max 200.  | Merchant specific data for merchant use only. Data sent is the same as was sent in the 700 transaction.                                                                                                                                                                                                     |
| merchantspecific2 |                                     | YES      | Character max 200.  | Merchant specific data for merchant use only. Data sent is the same as was sent in the 700 transaction.                                                                                                                                                                                                     |
| merchantspecific3 |                                     | YES      | Character max 200.  | Merchant specific data for merchant use only. Data sent is the same as was sent in the 700 transaction.                                                                                                                                                                                                     |
| merchantspecific4 |                                     | YES      | Character max 200.  | Merchant specific data for merchant use only. Data sent is the same as was sent in the 700 transaction.                                                                                                                                                                                                     |
| merchantspecific5 |                                     | YES      | Character max 200.  | Merchant specific data for merchant use only. Data sent is the same as was sent in the 700 transaction.                                                                                                                                                                                                     |
| time              |                                     | YES      | Character 25.       | Date and time of notification generation in ISO 8601 format, example: 2015-11-07T15:04:42+00:00                                                                                                                                                                                                             |
| checksum          |                                     | YES      | Character 36        | SHA-1 calculated using the fields specified by the transaction plus the API key assigned by GPN DATA to the merchant. This field must be calculated using the fields marked as “Include in checksum” plus the API key at the end.                                                                           |

## 880 Notification Sample

```xml
<?xmlversion="1.0" encoding="utf-8" ?>
<transaction>
		<apiUser> </apiUser>
		<apiPassword> </apiPassword>
		<apiCmd>880</apiCmd>
		<gatetransid> </gatetransid>
		<transref> </transref>
		<merchanttransid> </merchanttransid>
		<status> </status>
		<amount> </amount>
		<currency> </currency>
		<disputeDate> </disputeDate>
		<arn> </arn>
		<reasonCode> </reasonCode>
		<reasonText> </reasonText>
		<merchantspecific1> </merchantspecific1>
		<merchantspecific2> </merchantspecific2>
		<merchantspecific3> </merchantspecific3>
		<merchantspecific4> </merchantspecific4>
		<merchantspecific5> </merchantspecific5>
		<time> </time>
		<checksum> </checksum>		
</transaction> 
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.convergegate.com/legacy/card-server-to-server/notifications/880-dispute-notification.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
